#!/bin/bash
set -e

if [[ $3 == "" ]]; then
cat <<EOS
args: <all.bgl> <all.ori> <out_prefix> [BEAGLE DAG OPTS]

NOTE: <all.ori> MUST be in the same index order as <all.bgl> because
threading needs the index to match up!

Takes these files writes <out_prefix>.dag and <out_prefix>.<origin>.dag
EOS
  exit
fi

set -e # Die if any command fails

tmp_out=dag_out.$RANDOM
in_bgl=$1
in_ori=$2
out=$3
shift
shift
shift
opts=$@

java -jar /home/jesserod/install/beagle/beagle.jar data=$in_bgl out=$tmp_out $opts
zcat $tmp_out.`basename $in_bgl`.dag.gz > $out.dag
`dirname $0`/thread_dag.rb $out $in_bgl $in_ori $out.dag
